/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.database.columns;

import org.dussan.vaadin.dvirtual.database.Database;
import org.dussan.vaadin.dvirtual.i18n.Translation;

public enum ServersGroupColumns
{

    ENABLED( Translation.FIELD_ENABLED ),
    NAME( Translation.FIELD_NAME ),
    NOTE( Translation.FIELD_NOTE ),
    SELECTED( "selected" ),
    SERVER( Translation.FIELD_SERVER );

    private String valueForTranslation = null;

    private ServersGroupColumns( String valueForTranslation )
    {
        this.valueForTranslation = valueForTranslation;
    }

    public String getValueForTranslation()
    {
        return valueForTranslation;
    }

    public String getName()
    {
        return name();
    }

    public String getSortAscending()
    {
        return name();
    }

    public String getSortDescending()
    {
        return Database.ORDER_DESCENDING + name();
    }

}
