/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.dussan.vaadin.dvirtual.ui.events.data;

import java.io.Serializable;
import java.util.List;

public class MouseWheelData
    implements Serializable
{

    private static final long serialVersionUID = -125676377857555855L;

    private Integer id = 0;

    private Integer x = null;

    private Integer y = null;

    private Integer button = null;

    private Integer distance = null;

    private List<String> modifiers = null;

    public MouseWheelData( Integer id, Integer x, Integer y, Integer button, Integer distance, List<String> modifiers )
    {
        this.id = id;
        this.x = x;
        this.y = y;
        this.button = button;
        this.distance = distance;
        this.modifiers = modifiers;
    }

    public int getId()
    {
        return id;
    }

    public Integer getX()
    {
        return x;
    }

    public Integer getY()
    {
        return y;
    }

    public Integer getButton()
    {
        return button;
    }

    public Integer getDistance()
    {
        return distance;
    }

    public List<String> getModifiers()
    {
        return modifiers;
    }

}
