/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.xpra.packets.base;

import java.io.Serializable;
import java.util.Map;

import org.dussan.vaadin.dvirtual.utils.ConverterUtil;

public class Packet
    implements Serializable
{

    private static final long serialVersionUID = -832255447332812710L;

    private String packetType = null;

    public Packet( String packetType )
    {
        this.packetType = packetType;
    }

    public String getPacketType()
    {
        return packetType;
    }

    public static boolean getBoolean( Object value )
    {
        return ConverterUtil.toBoolean( value );
    }

    public static int getInt( Object value )
    {
        return ConverterUtil.toInt( value );
    }

    public static long getLong( Object value )
    {
        return ConverterUtil.toLong( value );
    }

    public static short getShort( Object value )
    {
        return ConverterUtil.toShort( value );
    }

    public static Map<String, String> getMap( Object value )
    {
        return ConverterUtil.toMap( value );
    }

    public static String getString( Object value )
    {
        return ConverterUtil.toString( value );
    }

    public byte[] getByteArray( Object value )
    {
        return ConverterUtil.toByteArray( value );
    }

}
