/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.xpra.packets.client;

import java.util.Collection;

import org.dussan.vaadin.dvirtual.xpra.packets.ClientPacket;
import org.dussan.vaadin.dvirtual.xpra.packets.PacketType;

public class ClientSetDeflatePacket
    extends ClientPacket
{

    private static final long serialVersionUID = 6889467280401824868L;

    private int compressionLevel = 0;

    public ClientSetDeflatePacket()
    {
        super( PacketType.Client.SET_DEFLATE.toString() );
    }

    public ClientSetDeflatePacket( int compressionLevel )
    {
        super( PacketType.Client.SET_DEFLATE.toString() );
        this.compressionLevel = compressionLevel;
    }

    public int getCompressionLevel()
    {
        return compressionLevel;
    }

    @Override
    public void packPacket( Collection<Object> packetData )
    {
        packetData.add( getPacketType() );
        packetData.add( compressionLevel );
    }

}
