/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.xpra.packets.server;

import java.util.Iterator;
import org.dussan.vaadin.dvirtual.xpra.packets.PacketType;

public class ServerNewOverrideRedirectPacket
    extends ServerNewWindowPacket
{

    private static final long serialVersionUID = 8521130972994567054L;

    public ServerNewOverrideRedirectPacket()
    {
        super( PacketType.Server.NEW_OVERRIDE_REDIRECT.toString() );
    }

    public ServerNewOverrideRedirectPacket( int windowId )
    {
        super( PacketType.Server.NEW_OVERRIDE_REDIRECT.toString(), windowId );
    }

    @Override
    public void unpackPacket( Iterator<Object> packetData )
    {
        super.unpackPacket( packetData );
        getMetadata().put( ServerWindowMetadataPacket.OVERRIDE_REDIRECT, true );
    }

}
